Bug 95246 - Segfault in glBindFramebuffer()
Summary: Segfault in glBindFramebuffer()
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-03 02:35 UTC by Daniel Scharrer
Modified: 2016-06-13 12:46 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Scharrer 2016-05-03 02:35:44 UTC
I've found a reproducible segfault when binding a framebuffer. It crashes in the last call in this apitrace for me:

 http://constexpr.org/tmp/shadows.trace (105 KiB)

I wouldn't be surprised if this contains invalid calls (nothing detected by Mesa though), but it still shouldn't crash. Haven't tried this on any other drivers yet.

GPU: AMD R9 380X
Mesa 11.3.0-devel (git-750c38f)
Comment 1 Daniel Scharrer 2016-05-03 02:36:26 UTC
Backtrace:

#0  driver_RenderTexture_is_safe (att=att@entry=0xb33570)
    at /var/tmp/portage/media-libs/mesa-9999/work/mesa-9999/src/mesa/main/fbobject.c:392
#1  0x00007ffff29aabc3 in check_begin_texture_render (fb=0xb33300, ctx=0xa9fdb0)
    at /var/tmp/portage/media-libs/mesa-9999/work/mesa-9999/src/mesa/main/fbobject.c:2443
#2  _mesa_bind_framebuffers (ctx=0xa9fdb0, newDrawFb=0xb33300, newReadFb=0xb33300)
    at /var/tmp/portage/media-libs/mesa-9999/work/mesa-9999/src/mesa/main/fbobject.c:2579
#3  0x00000000005773f6 in retrace_glBindFramebuffer (call=...)
[...]
Comment 3 Daniel Scharrer 2016-06-13 12:46:19 UTC
Looks like the fix has been pushed, thanks.


bug/show.html.tmpl processed on Jan 16, 2017 at 17:21:41.
(provided by the Example extension).